Bug 224658 - net/freerdp: Update to 2.0.0-rc1
Summary: net/freerdp: Update to 2.0.0-rc1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Carlos J. Puga Medina
URL:
Keywords:
Depends on: 223913
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-28 23:02 UTC by Carlos J. Puga Medina
Modified: 2018-01-04 20:41 UTC (History)
2 users (show)

See Also:
kevans: maintainer-feedback+


Attachments
patch-freerdp-2.0.0-rc1 (10.80 KB, patch)
2017-12-28 23:02 UTC, Carlos J. Puga Medina
no flags Details | Diff
patch-freerdp-2.0.0-rc1 (10.86 KB, patch)
2017-12-29 12:08 UTC, Carlos J. Puga Medina
no flags Details | Diff
patch-freerdp-2.0.0-rc1 (10.35 KB, patch)
2018-01-02 12:18 UTC, Carlos J. Puga Medina
no flags Details | Diff
patch-freerdp-2.0.0-rc1 (16.52 KB, patch)
2018-01-02 23:22 UTC, Carlos J. Puga Medina
kevans: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J. Puga Medina freebsd_committer 2017-12-28 23:02:45 UTC
Created attachment 189178 [details]
patch-freerdp-2.0.0-rc1

- Add support for ICU for unicode conversion
- Add MANPAGES option
- Enable 64 bit file support in winpr
- Remove unneeded patches (added upstream)
- Update WWW in pkg-descr

Changelog: https://github.com/FreeRDP/FreeRDP/blob/2.0.0-rc1/ChangeLog
Comment 1 Carlos J. Puga Medina freebsd_committer 2017-12-29 12:08:09 UTC
Created attachment 189195 [details]
patch-freerdp-2.0.0-rc1

- Add KERBEROS support
Comment 2 Kyle Evans freebsd_committer 2017-12-29 14:45:34 UTC
Hi cpm@,

This looks mostly good to me; two things:

1.) Can I bug you to commit PR 223913 before-hand, so we end up with WAYLAND + 2.0.0-rc1? I note that that PR also introduces one more manpage that needs a %%MANPAGE%% option, but they seem to be generally orthogonal patches otherwise.

2.) Greg noted that FIPS in 2.0.0-rc1 needed a LibreSSL check, and submitted this PR: https://github.com/FreeRDP/FreeRDP/commit/22c71c0034a2ed61ff0052f842573d9398c8eec4 -- can you pull that patch in as well, please?
Comment 3 Kyle Evans freebsd_committer 2017-12-29 14:46:09 UTC
I set maintainer-feedback+ anyways because I don't know that the LibreSSL patch is necessarily a blocker, but I would greatly appreciate it.
Comment 4 Carlos J. Puga Medina freebsd_committer 2017-12-29 19:42:00 UTC
(In reply to Kyle Evans from comment #2)

I realized that a couple of patches need to be re-added to build FreeRDP with LibreSSL.

I will fix the patch after commit bug 223913.
Comment 5 Carlos J. Puga Medina freebsd_committer 2018-01-02 12:18:59 UTC
Created attachment 189337 [details]
patch-freerdp-2.0.0-rc1

MANPAGES need xsltproc to be generated.
Comment 6 Carlos J. Puga Medina freebsd_committer 2018-01-02 12:22:01 UTC
Greg, would you mind trying to build with LibreSSL?
Comment 7 Carlos J. Puga Medina freebsd_committer 2018-01-02 22:09:49 UTC
@Kyle 
 
We should properly set the CMAKE_INSTALL_MANDIR variable to fix these errors.

% portlint -ac
FATAL: /usr/ports/net/freerdp/pkg-plist: [233]: Man pages must be installed into ``man'' not ``share/man''.
FATAL: /usr/ports/net/freerdp/pkg-plist: [233]: Unpacked man file winpr-hash.1 listed.  Must be gzipped.
FATAL: /usr/ports/net/freerdp/pkg-plist: [234]: Man pages must be installed into ``man'' not ``share/man''.
FATAL: /usr/ports/net/freerdp/pkg-plist: [234]: Unpacked man file winpr-makecert.1 listed.  Must be gzipped.
FATAL: /usr/ports/net/freerdp/pkg-plist: [235]: Man pages must be installed into ``man'' not ``share/man''.
FATAL: /usr/ports/net/freerdp/pkg-plist: [235]: Unpacked man file wlfreerdp.1 listed.  Must be gzipped.
FATAL: /usr/ports/net/freerdp/pkg-plist: [236]: Man pages must be installed into ``man'' not ``share/man''.
FATAL: /usr/ports/net/freerdp/pkg-plist: [236]: Unpacked man file xfreerdp.1 listed.  Must be gzipped.
FATAL: /usr/ports/net/freerdp/pkg-plist: [237]: Man pages must be installed into ``man'' not ``share/man''.
FATAL: /usr/ports/net/freerdp/pkg-plist: [237]: Unpacked man file wlog.7 listed.  Must be gzipped.
WARN: Makefile: Consider adding support for a NLS knob to conditionally disable gettext support.
WARN: Makefile: "BROKEN" has to appear earlier.
10 fatal errors and 2 warnings found.
Comment 8 Carlos J. Puga Medina freebsd_committer 2018-01-02 23:22:15 UTC
Created attachment 189352 [details]
patch-freerdp-2.0.0-rc1

Fix install MANPAGES to /usr/local/man.

Manpages installed to the wrong place. The correct location, per hier(7), is /usr/local/man
Comment 9 Kyle Evans freebsd_committer 2018-01-04 18:08:18 UTC
Comment on attachment 189352 [details]
patch-freerdp-2.0.0-rc1

+1 on the man change; I hadn't caught that previously. Greg's previous comment on LibreSSL seemed to indicate that fips was the only problem he encountered with 2.0.0 when he tested, so I think it's safe to assume this is good to go.
Comment 10 commit-hook freebsd_committer 2018-01-04 19:38:18 UTC
A commit references this bug:

Author: cpm
Date: Thu Jan  4 19:37:59 UTC 2018
New revision: 458051
URL: https://svnweb.freebsd.org/changeset/ports/458051

Log:
  net/freerdp: Update to 2.0.0-rc1

  - Enable 64 bit file support in winpr
  - Remove unneeded patches (added upstream)
  - Add support for ICU for unicode conversion
  - Add support for KERBEROS
  - Add MANPAGES option and fix man pages installation in /usr/local/man
  - Fix WWW in pkg-descr
  - Pet portlint

  Changelog: https://github.com/FreeRDP/FreeRDP/blob/2.0.0-rc1/ChangeLog

  PR:		224658
  Submitted by:	cpm
  Reviewed by:	kevans
  Approved by:	kevans (maintainer)

Changes:
  head/net/freerdp/Makefile
  head/net/freerdp/distinfo
  head/net/freerdp/files/patch-client_Wayland_CMakeLists.txt
  head/net/freerdp/files/patch-client_X11_CMakeLists.txt
  head/net/freerdp/files/patch-winpr_CMakeLists.txt
  head/net/freerdp/files/patch-winpr_libwinpr_crypto_hash.c
  head/net/freerdp/files/patch-winpr_libwinpr_utils_ssl.c
  head/net/freerdp/files/patch-winpr_tools_hash-cli_CMakeLists.txt
  head/net/freerdp/files/patch-winpr_tools_makecert-cli_CMakeLists.txt
  head/net/freerdp/files/patch-winpr_tools_makecert_makecert.c
  head/net/freerdp/pkg-descr
  head/net/freerdp/pkg-plist
Comment 11 Carlos J. Puga Medina freebsd_committer 2018-01-04 19:40:01 UTC
Committed, thanks!
Comment 12 commit-hook freebsd_committer 2018-01-04 20:41:10 UTC
A commit references this bug:

Author: cpm
Date: Thu Jan  4 20:40:52 UTC 2018
New revision: 458085
URL: https://svnweb.freebsd.org/changeset/ports/458085

Log:
  Remove leftover patch

  PR:		224658
  Reported by:	xxjack12xx@gmail.com
  Approved by:	kevans (maintainer)

Changes:
  head/net/freerdp/files/patch-libfreerdp_crypto_crypto.c